#! /bin/sh

PATH=/sbin:/bin:/usr/sbin:/usr/bin
EXEC=/usr/bin/emptytree-seedy
NAME=emptytree-seedy
DESC=emptytree-seedy

set -e

test -f $EXEC || exit 0

# boot file supplies USER environment
test -f /etc/emptytree-seedy/boot || exit 0
. /etc/emptytree-seedy/boot

case "$1" in
  start)
	echo -n "Starting $DESC: "
        su $USER -c "$EXEC --boot --quiet --nointeract" &&
	echo "$NAME."
	;;
  stop)
	echo -n "Stopping $DESC: "
        su $USER -c "$EXEC --kill --quiet --nointeract" &&
	echo "$NAME."
	;;
  restart|force-reload)
	echo -n "Restarting $DESC: "
        su $USER -c "$EXEC --kill --quiet --nointeract" &&
        su $USER -c "$EXEC --boot --quiet --nointeract" &&
	echo "$NAME."
	;;
  *)
	N=/etc/init.d/$NAME
	echo "Usage: $N {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0
