# Copyright (C) 2000 Gavin Jefferies
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Revision: 1.2 $

package Format;

use strict;

sub new {
    my $proto = shift;
    my $type = ref($proto) || $proto;

    my %parms = @_;

    if (($type eq 'Format') && defined($parms{'file'})) {
	# Auto discover the format by file suffix
	my $suffix = ucfirst substr $parms{'file'}, -3;
	my $type = 'Format::'.$suffix;
	return $type->new(%parms);
    }
    else {
	my $format = {};
	bless $format, $type;
	return ($format);
    }
}

sub type {
    my $format = shift;
    return substr ref($format), 8;
}

sub duration { 
    if ($#_ == 1) {
	$_[0]->{'duration'} = $_[1];
    }
    $_[0]->{'duration'};
}

sub file { 
    if ($#_ == 1) {
	$_[0]->{'file'} = $_[1];
    }
    $_[0]->{'file'};
}

# A unique key describing a format and its varieties, overwritten by sub classes.

sub descriptor {
    return 0;
}

1;
