# Copyright (C) 2000 Gavin Jefferies
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Revision: 1.1 $

package GtkEx::Button;

# Buttons with labels

use Gtk;
@ISA = qw( Gtk::Button );
use Trace;
use strict;

# new | new(<label text>) | new(<label>)

sub new { 
    my $proto = shift;
    my $type = ref($proto) || $proto;

    my $button;
    my $label;
    my $labeltext = '';
    if (($#_ == 0) && (UNIVERSAL::isa($_[0], 'Gtk::Label'))) {
	$label = $_[0];
    }
    elsif ($#_ == 0) {
	$labeltext = $_[0];
    }
    $label = Gtk::Label->new($labeltext) if !defined($label);
    $label->show;
    $button = $type->SUPER::new();
    $button->add($label);
    $button->{'_label'} = $label;
    if (ref($button) ne $proto) {
	bless $button, $type;
    }
    return $button;
}

sub label {
    return $_[0]->{'_label'};
}

1;
