# Copyright (C) 2000 Gavin Jefferies
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Revision: 1.5 $

package Player;

sub NAME { 'Player' };

# States

sub Stopped () { 'Stopped'; }
sub Paused ()  { 'Paused'; }
sub Playing () { 'Playing'; }

# Messages

sub State ()   { 'Player__State'; }
sub Spool ()   { 'Player__Spool'; }
sub Clear ()   { 'Player__Clear'; }
sub Play ()    { 'Player__Play'; }
sub Stop ()    { 'Player__Stop'; }
sub Pause ()   { 'Player__Pause'; }
sub Seek ()    { 'Player__Seek'; }
sub Search ()  { 'Player__Search'; }

# Response

sub Spooled () { 'Player__Spooled'; }
sub Status ()  { 'Player__Status'; }

# Causes

sub None ()          { 'Player__None'; }
sub Message ()       { 'Player__Message'; }
sub End ()           { 'Player__End'; }
sub Ignored ()       { 'Player__Ignored'; }
sub Invalid ()       { 'Player__Invalid'; }
sub Error ()         { 'Player__Error'; }

# Play Mode

sub Forward () { 'Player__Forward'; }
sub Reverse () { 'Player__Reverse'; }

1;
