# Copyright (C) 2000 Gavin Jefferies
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Revision: 1.4 $

package Repo;

sub NAME { 'Repo'; }

# Messages

sub Change { 'Repo__Change'; }
sub Delete { 'Repo__Delete'; }
sub Reparent { 'Repo__Reparent'; }

# Builds a list of useful temporary dirs from the music dirs
# list. Temporary dirs are used for creating files prior to Repo
# storage and are best situated under the music dir area so that
# storage can occur via renaming and not copy.

sub musicDirsToTmpDirs {
    my $mdirRef = shift;
    my $tdirRef = shift;

    while (shift @{ $tdirRef }) {}

    foreach my $dir (@{ $mdirRef }) {
	if ($dir =~ /\/$/) {
	    push @{ $tdirRef }, $dir.'.tmp';
	}
	else {
	    push @{ $tdirRef }, $dir.'/.tmp';
	}
    }
}

1;
