# Copyright (C) 2000, 2001 Gavin Jefferies
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Revision: 1.3 $

package Upgrade;

use Trace;
use strict;

sub convert {
    my $cfg = shift;

    my $config = $cfg->{'config'};
    my $version = $cfg->{'version'};
    my $trusted = $cfg->{'trusted'};

    if (!$version || ($version eq '')) {

	# Upgrade from pre 1.3.1 release

	# Repo & Players need a db reference

	my $dbRef;
	my @cdroms = grep { $_->{'type'} eq 'Cdrom' } values(%{ $config });
	if (!@cdroms || !($dbRef = $cdroms[0]->{'db'})) {
	    my @controllers = grep { $_->{'type'} eq 'Controller' } values(%{ $config });
	    if (!@controllers || !($dbRef = $cdroms[0]->{'db'})) {
		Trace::error('Need a cdrom or controller configured to do this upgrade');
		return 0;
	    }
	}
	my @repos = grep { $_->{'type'} eq 'Repo' } values(%{ $config });
	if (@repos) {
	    map { $_->{'db'} = $dbRef } @repos;
	}
	my @players = grep { $_->{'type'} eq 'Player' } values(%{ $config });
	if (@players) {
	    map { $_->{'db'} = $dbRef } @players;
	}
    }
    elsif (Utility::cmpVersions($version, '1.5.0.4') <= 0) {
	# Older versions were by default trusted
	$cfg->{'trusted'} = 1;
    }

    return 1;
}

1;
